From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] dev/graaff:master commit in: dev-ruby/rails_best_practices/
Date: Mon, 8 Oct 2012 13:37:59 +0000 (UTC) [thread overview]
Message-ID: <1349424747.04ff9590c183fb21d8ced66f7b3749cbf2130c9a.graaff@gentoo> (raw)
commit: 04ff9590c183fb21d8ced66f7b3749cbf2130c9a
Author: Hans de Graaff <hans <AT> degraaff <DOT> org>
AuthorDate: Fri Oct 5 08:12:27 2012 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Oct 5 08:12:27 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=dev/graaff.git;a=commit;h=04ff9590
Version bump.
(Portage version: 2.1.11.9/git/Linux x86_64, signed Manifest commit with key 0x8883FA56A308A8D7!)
---
dev-ruby/rails_best_practices/ChangeLog | 6 +++
dev-ruby/rails_best_practices/Manifest | 11 +++--
.../rails_best_practices-1.11.1.ebuild | 43 ++++++++++++++++++++
3 files changed, 55 insertions(+), 5 deletions(-)
diff --git a/dev-ruby/rails_best_practices/ChangeLog b/dev-ruby/rails_best_practices/ChangeLog
index 2c44f97..b031177 100644
--- a/dev-ruby/rails_best_practices/ChangeLog
+++ b/dev-ruby/rails_best_practices/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*rails_best_practices-1.11.1 (05 Oct 2012)
+
+ 05 Oct 2012; Hans de Graaff <graaff@gentoo.org>
+ +rails_best_practices-1.11.1.ebuild:
+ Version bump.
+
17 May 2012; Hans de Graaff <graaff@gentoo.org>
-rails_best_practices-0.9.0.ebuild, -rails_best_practices-0.10.0.ebuild:
Remove old versions.
diff --git a/dev-ruby/rails_best_practices/Manifest b/dev-ruby/rails_best_practices/Manifest
index c81ce2a..8aafaa9 100644
--- a/dev-ruby/rails_best_practices/Manifest
+++ b/dev-ruby/rails_best_practices/Manifest
@@ -1,11 +1,12 @@
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256
-DIST rails_best_practices-0.10.1.gem 50176 RMD160 6efb6e50782fc26c48fd46aa09708042163e5f6c SHA1 f82b9d9e823afb6862c2835296188b2095b64850 SHA256 1401368812f95d1ee6f4f7edf901048fec6216dd44df979105a17c3e58fa02c7
+DIST rails_best_practices-0.10.1.gem 50176 SHA256 1401368812f95d1ee6f4f7edf901048fec6216dd44df979105a17c3e58fa02c7 SHA512 3dbf9365e2b2bf49f69cfd2bbfece2a84fed131e0fb36f0501a78e6ffda3c29783e06ce3ba611a4a71a29dbd95f961c3e20241216f866fb866b7c34304a84782 WHIRLPOOL c952f192fdd48cffde748fcc9234df1f26b04b7a7f9c4bdf591f8a938ff60a545e1a1e3eb5719d66f7a4459b46bd04889d9c4cc18687313130aead30e48da230
+DIST rails_best_practices-1.11.1.gem 69632 SHA256 e3f79d464a80f5a4e855360648de3baf8fc39c80cb03324109a23bfa1f3e98a4 SHA512 4137d5b1ab20a192e4a84c6c556618e56c4ebfde9d8fa0de98a576b9d4232ef94c1629b040b156452b30173b6b9776cd408b037ec7c8dda07546919600513c24 WHIRLPOOL 26ba4e36a7dcdeedb60b97198e281047c13180004526608f064c846bb633918416f9d19667d974d328aa85438e263e7c03812284279abc5860c9b355438c50be
-----BEGIN PGP SIGNATURE-----
-Version: GnuPG v2.0.17 (GNU/Linux)
+Version: GnuPG v2.0.19 (GNU/Linux)
-iF4EAREIAAYFAk+0wIMACgkQiIP6VqMIqNcSQgEAlJimodgWjadKXyIJovfQ7vkK
-wjQJt3HJqaZvOzt+L3gBAJGGQTMfUiedOZapuKaUleXYFeOjtU4FdyDO6snKn1Gw
-=e8WO
+iF4EAREIAAYFAlBulmsACgkQiIP6VqMIqNcmdAEAinjX2HBTlS5Cz4fGUyfiGKyD
+rK2Pae17ayxtM2CYyAoA/0JeUfbShI9IXCaH4Np7yXFvI1Ap3ESnIQldwpz4nqr7
+=rDhR
-----END PGP SIGNATURE-----
diff --git a/dev-ruby/rails_best_practices/rails_best_practices-1.11.1.ebuild b/dev-ruby/rails_best_practices/rails_best_practices-1.11.1.ebuild
new file mode 100644
index 0000000..2572e47
--- /dev/null
+++ b/dev-ruby/rails_best_practices/rails_best_practices-1.11.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+USE_RUBY="ruby19"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+
+RUBY_FAKEGEM_EXTRAINSTALL="rails_best_practices.yml"
+
+inherit ruby-fakegem
+
+DESCRIPTION="a gem to check quality of rails app files"
+HOMEPAGE="http://wiki.github.com/flyerhzm/rails_best_practices"
+LICENSE="MIT"
+
+KEYWORDS="~amd64"
+SLOT="0"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/rspec:2 )"
+
+ruby_add_rdepend "
+ dev-ruby/code_analyzer
+ dev-ruby/colored
+ dev-ruby/erubis
+ dev-ruby/activesupport
+ dev-ruby/i18n
+ dev-ruby/ruby-progressbar"
+
+all_ruby_prepare() {
+ sed -i -e '/[Bb]undler/d' Rakefile || die
+ rm Gemfile || die
+
+ # Avoid slim specs since we don't have that available.
+ sed -i -e '/should law of demeter with slim/,/end/ s:^:#:' spec/rails_best_practices/reviews/law_of_demeter_review_spec.rb || die
+ sed -i -e '/should move code into model with slim/,/end/ s:^:#:' spec/rails_best_practices/reviews/move_code_into_model_review_spec.rb || die
+ sed -i -e '/local varialbe in slim file/,/end/ s:^:#:' spec/rails_best_practices/reviews/replace_instance_variable_with_local_variable_review_spec.rb || die
+}
next reply other threads:[~2012-10-08 13:39 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2012-10-08 13:37 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2014-09-26 9:12 [gentoo-commits] dev/graaff:master commit in: dev-ruby/rails_best_practices/ Hans de Graaff
2013-06-21 11:37 Hans de Graaff
2012-10-08 13:51 Hans de Graaff
2012-10-08 13:51 Hans de Graaff
2012-06-02 15:47 Hans de Graaff
2011-08-16 10:01 Hans de Graaff
2011-07-13 8:35 Hans de Graaff
2011-06-15 11:38 Hans de Graaff
2011-06-15 11:38 Hans de Graaff
2011-05-18 14:38 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1349424747.04ff9590c183fb21d8ced66f7b3749cbf2130c9a.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox